Get a third party plugin by Id.
GET /api/v1/plugins/id/. Orchestrator API reference.
Authorizations
Bearer token for user session
Headers
User-Agent specified id to track a request
Path Parameters
System defined universally unique Id of the plugin request
Response
A successful response.
The payload to configure the third party associated with a particular integration.
User defined name of the third party plugin request, unique across the enterprise. Once object is created, name can’t be changed
3 - 256[a-zA-Z0-9][a-zA-Z0-9_.-]+User defined title of the third party entity. Title can be changed at any time
3 - 256^[a-zA-Z0-9]+[a-zA-Z0-9!-~ ]+$Type of desired integration type
PLUGIN_INTEGRATION_TYPE_UNSPECIFIED, PLUGIN_INTEGRATION_TYPE_DATA, PLUGIN_INTEGRATION_TYPE_CLOUD, PLUGIN_INTEGRATION_TYPE_STORAGE, PLUGIN_INTEGRATION_TYPE_MONITORING, PLUGIN_INTEGRATION_TYPE_ORCHESTRATOR type of actual integration
PLUGIN_TYPE_UNSPECIFIED, PLUGIN_TYPE_SPLUNK, PLUGIN_TYPE_HTTP, PLUGIN_TYPE_RANCHER, PLUGIN_TYPE_VMWARE_VCO, PLUGIN_TYPE_VMWARE_TMC, PLUGIN_TYPE_OTEL System defined universally unique Id of the third party plugin request
[a-fA-F0-9]{8}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{12}Detailed description of the third party entity.
256object type to which this third party integration is associated, can project, cluster etc.
OBJECT_TYPE_UNSPECIFIED, OBJECT_TYPE_USER, OBJECT_TYPE_EDGE_NODE, OBJECT_TYPE_EDGE_APP, OBJECT_TYPE_IMAGE, OBJECT_TYPE_EDGE_APP_INSTANCE, OBJECT_TYPE_PROJECT, OBJECT_TYPE_NETWORK, OBJECT_TYPE_DATASTORE, OBJECT_TYPE_SERVICE, OBJECT_TYPE_SERVICE_INSTANCE, OBJECT_TYPE_ENTERPRISE, OBJECT_TYPE_ROLE, OBJECT_TYPE_CREDENTIAL, OBJECT_TYPE_NETWORK_INSTANCE, OBJECT_TYPE_VOLUME_INSTANCE, OBJECT_TYPE_REALM, OBJECT_TYPE_AUTHPROFILE, OBJECT_TYPE_POLICY, OBJECT_TYPE_APP_POLICY, OBJECT_TYPE_CLUSTER_INSTANCE, OBJECT_TYPE_PLUGIN, OBJECT_TYPE_DOC_POLICY, OBJECT_TYPE_ORCHESTRATOR_CLUSTER, OBJECT_TYPE_TAGS, OBJECT_TYPE_EDGE_NODE_INTERFACE, OBJECT_TYPE_DEPLOYMENT, OBJECT_TYPE_ENTITLEMENTS, OBJECT_TYPE_DATA_STREAM, OBJECT_TYPE_API_USAGE, OBJECT_TYPE_APP_INSTANCE_SNAPSHOT, OBJECT_TYPE_PATCH_ENVELOPE, OBJECT_TYPE_RESOURCE_USAGE_TRACK, OBJECT_TYPE_PATCH_ENVELOPE_REFERENCE, OBJECT_TYPE_DEV_PASSTHROUGH, OBJECT_TYPE_EDGE_NODE_CLUSTER, OBJECT_TYPE_ASSET_GROUP, OBJECT_TYPE_APP_PROFILE, OBJECT_TYPE_PROFILE_DEPLOYMENT, OBJECT_TYPE_ZKS_INSTANCE, OBJECT_TYPE_CLUSTER_GROUP objectId to which this third party integration is associated
status of the third party entity.
PLUGIN_STATUS_UNSPECIFIED, PLUGIN_STATUS_INITIALIZED, PLUGIN_STATUS_INPROGRESS, PLUGIN_STATUS_RUNNING, PLUGIN_STATUS_FAILED system defined info
Detailed status message of the third party.
256The payload to configure the splunk third party plugin.
The payload to configure the http third party plugin.
The payload to configure the third party cluster orchestrator.
The payload to configure the OpenTelemetry collector endpoint.